summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMike Lothian <mike@fireburn.co.uk>2019-02-26 20:30:39 +0000
committerNick Sarnie <sarnex@gentoo.org>2019-02-26 19:44:49 -0500
commit2723658eef767bf02cb68f3873e63aac643ed6f2 (patch)
tree3f273274c0847e8585fee0091fb239395406fd21
parentgnome-base/gdm: require older gnome-settings-daemon for older gdm (diff)
downloadgentoo-2723658eef767bf02cb68f3873e63aac643ed6f2.tar.gz
gentoo-2723658eef767bf02cb68f3873e63aac643ed6f2.tar.bz2
gentoo-2723658eef767bf02cb68f3873e63aac643ed6f2.zip
media-libs/vulkan-layers: Install headers into /usr/include/vulkan
This is required to allow the new mesa vulkan-overlay-layer to build correctly Closes: https://github.com/gentoo/gentoo/pull/11166 Signed-off-by: Mike Lothian <mike@fireburn.co.uk> Signed-off-by: Nick Sarnie <sarnex@gentoo.org>
-rw-r--r--media-libs/vulkan-layers/vulkan-layers-1.1.82.0-r1.ebuild (renamed from media-libs/vulkan-layers/vulkan-layers-1.1.82.0.ebuild)2
-rw-r--r--media-libs/vulkan-layers/vulkan-layers-1.1.92.0-r1.ebuild (renamed from media-libs/vulkan-layers/vulkan-layers-1.1.92.0.ebuild)2
-rw-r--r--media-libs/vulkan-layers/vulkan-layers-9999.ebuild2
3 files changed, 3 insertions, 3 deletions
diff --git a/media-libs/vulkan-layers/vulkan-layers-1.1.82.0.ebuild b/media-libs/vulkan-layers/vulkan-layers-1.1.82.0-r1.ebuild
index da4914c98bf..c196972139d 100644
--- a/media-libs/vulkan-layers/vulkan-layers-1.1.82.0.ebuild
+++ b/media-libs/vulkan-layers/vulkan-layers-1.1.82.0-r1.ebuild
@@ -47,7 +47,7 @@ multilib_src_configure() {
-DBUILD_WSI_XLIB_SUPPORT=$(usex X)
-DBUILD_TESTS=False
-DGLSLANG_INSTALL_DIR="/usr"
- -DVULKAN_HEADERS_INSTALL_DIR="/usr"
+ -DCMAKE_INSTALL_INCLUDEDIR="/usr/include/vulkan/"
)
cmake-utils_src_configure
}
diff --git a/media-libs/vulkan-layers/vulkan-layers-1.1.92.0.ebuild b/media-libs/vulkan-layers/vulkan-layers-1.1.92.0-r1.ebuild
index 648e31fd810..c37c62f8b84 100644
--- a/media-libs/vulkan-layers/vulkan-layers-1.1.92.0.ebuild
+++ b/media-libs/vulkan-layers/vulkan-layers-1.1.92.0-r1.ebuild
@@ -42,7 +42,7 @@ multilib_src_configure() {
-DBUILD_WSI_XLIB_SUPPORT=$(usex X)
-DBUILD_TESTS=False
-DGLSLANG_INSTALL_DIR="/usr"
- -DVULKAN_HEADERS_INSTALL_DIR="/usr"
+ -DCMAKE_INSTALL_INCLUDEDIR="/usr/include/vulkan/"
)
cmake-utils_src_configure
}
diff --git a/media-libs/vulkan-layers/vulkan-layers-9999.ebuild b/media-libs/vulkan-layers/vulkan-layers-9999.ebuild
index a01cafe630d..0797840f189 100644
--- a/media-libs/vulkan-layers/vulkan-layers-9999.ebuild
+++ b/media-libs/vulkan-layers/vulkan-layers-9999.ebuild
@@ -42,7 +42,7 @@ multilib_src_configure() {
-DBUILD_WSI_XLIB_SUPPORT=$(usex X)
-DBUILD_TESTS=False
-DGLSLANG_INSTALL_DIR="/usr"
- -DVULKAN_HEADERS_INSTALL_DIR="/usr"
+ -DCMAKE_INSTALL_INCLUDEDIR="/usr/include/vulkan/"
)
cmake-utils_src_configure
}